//Source file: ConfCallControlManager.java
//Date: July 2003
//Conference Call Control Interfaces and Data Types for ETSI ES 202 915-04-2 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-04-2 v5.1.0


package org.csapi.jr.se.cc.cccs;

/**
 * This interface represents a ConfCallControlManager.<BR>
 *
 */
public interface ConfCallControlManager extends org.csapi.jr.se.Service {

    /**
     * Adds a ConfCallControlManagerListener which which is interested in events generated by the ConfCallControlManager.
     *
     *@param  confCallControlManagerListener  A reference to the ConfCallControlManagerListener which is to be added as
     *        a listener.
     */
    void addConfCallControlManagerListener(org.csapi.jr.se.cc.cccs.ConfCallControlManagerListener confCallControlManagerListener);

    /**
     * Removes a ConfCallControlManagerListener which is no longer interested in events generated by the ConfCallControlManager.
     *
     *@param  confCallControlManagerListener  A reference to the ConfCallControlManagerListener which is to be removed as
     *        a listener.
     */
    void removeConfCallControlManagerListener(org.csapi.jr.se.cc.cccs.ConfCallControlManagerListener confCallControlManagerListener);

    /**
     * Invokes the checkResources() method on the Parlay Gateway.
     */
    org.csapi.jr.se.cc.cccs.ConfSearchResult checkResources(
           org.csapi.jr.se.cc.cccs.ConfSearchCriteria searchCriteria)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.ResourcesUnavailableException,
         org.csapi.jr.se.TaskRefusedException,
         org.csapi.jr.se.TaskCancelledException,
         org.csapi.jr.se.NoCallbackAddressSetException,
         org.csapi.jr.se.MethodNotSupportedException,
         org.csapi.jr.se.InvalidStateException;

    /**
     * Invokes the reserveResources() method on the Parlay Gateway.
     */
    org.csapi.jr.se.cc.cccs.ResourceReservation reserveResources(
           java.lang.String  startTime,
           int numberOfParticipants,
           int duration,
           org.csapi.jr.se.cc.cccs.ConfPolicy conferencePolicy)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.ResourcesUnavailableException,
         org.csapi.jr.se.TaskRefusedException,
         org.csapi.jr.se.TaskCancelledException,
         org.csapi.jr.se.NoCallbackAddressSetException,
         org.csapi.jr.se.MethodNotSupportedException,
         org.csapi.jr.se.InvalidStateException;

    /**
     * Invokes the freeResources() method on the Parlay Gateway.
     */
    void freeResources(
           org.csapi.jr.se.cc.cccs.ResourceReservation resourceReservation)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.ResourcesUnavailableException,
         org.csapi.jr.se.TaskRefusedException,
         org.csapi.jr.se.TaskCancelledException,
         org.csapi.jr.se.NoCallbackAddressSetException,
         org.csapi.jr.se.MethodNotSupportedException,
         org.csapi.jr.se.InvalidStateException;

    /**
     * Invokes the createConference() method on the Parlay Gateway and returns a reference to a transient interface.
     */
    org.csapi.jr.se.cc.cccs.ConfCall createConference(
           int numberOfSubConferences,
           org.csapi.jr.se.cc.cccs.ConfPolicy conferencePolicy,
           int numberOfParticipants,
           int duration)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.ResourcesUnavailableException,
         org.csapi.jr.se.TaskRefusedException,
         org.csapi.jr.se.TaskCancelledException,
         org.csapi.jr.se.NoCallbackAddressSetException,
         org.csapi.jr.se.MethodNotSupportedException,
         org.csapi.jr.se.InvalidStateException;

}
