//Source file: ConfCallListener.java
//Date: July 2003
//Conference Call Control Interfaces and Data Types for ETSI ES 202 915-04-2 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-04-2 v5.1.0


package org.csapi.jr.se.cc.cccs;

/**
 * This interface is to be implemented for receiving events issued by the ConfCall service object.<BR>
 *
 */
public interface ConfCallListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the partyJoined() method on 
    * the callback interface.
    *
    *
    *
    *@param  partyJoinedEvent  Reference to a PartyJoinedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onPartyJoinedEvent(org.csapi.jr.se.cc.cccs.PartyJoinedEvent partyJoinedEvent);


   /**
    * Called due to a Gateway initiated call to the leaveMonitorRes() method on 
    * the callback interface.
    *
    *@param  leaveMonitorResEvent  Reference to a LeaveMonitorResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onLeaveMonitorResEvent(org.csapi.jr.se.cc.cccs.LeaveMonitorResEvent leaveMonitorResEvent);

}

