//Source file: ConfPolicy.java
//Date: July 2003
//Conference Call Control Interfaces and Data Types for ETSI ES 202 915-04-2 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-04-2 v5.1.0

package org.csapi.jr.se.cc.cccs;

/**
 * Specifies the conference policy.
 *
 */
public final class ConfPolicy implements java.io.Serializable{

    private ConfPolicyType _discriminator = null;
    private java.lang.Object _object;

    /**
     *   Creates a new <code>ConfPolicy</code>.
     *   Tagged choice of data elements always have empty constructors
     * 
     */ 

    public ConfPolicy() {}

    /**
     *  Describe <code>getDiscriminator</code> method here.
     * 
     *   @return a <code>ConfPolicyType</code> value 
     *   @exception InvalidUnionAccessorException if an error occurs 
     */ 

    public ConfPolicyType getDiscriminator()throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
                }
                    return _discriminator;
                }

    /**
    * Describe <code>getMonoMedia</code> method here.
     * 
     * @return  a <code>org.csapi.jr.se.cc.cccs.MonoMediaConfPolicy</code> value
     * @exception InvalidUnionAccessorException if an error occurs 
    */
    public org.csapi.jr.se.cc.cccs.MonoMediaConfPolicy getMonoMedia() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (!(_discriminator.equals((ConfPolicyType) ConfPolicyType.CONFERENCE_POLICY_MONOMEDIA))) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
            return  ((org.csapi.jr.se.cc.cccs.MonoMediaConfPolicy) _object);
        }


    /**
    * Describe <code>setMonoMedia</code> method here.
     * 
     * @param value a <code>org.csapi.jr.se.cc.cccs.MonoMediaConfPolicy</code> value
     */
    public void  setMonoMedia(org.csapi.jr.se.cc.cccs.MonoMediaConfPolicy value){
        _discriminator = (ConfPolicyType) ConfPolicyType.CONFERENCE_POLICY_MONOMEDIA;

        _object = value;
    }
    /**
    * Describe <code>getMultiMedia</code> method here.
     * 
     * @return  a <code>org.csapi.jr.se.cc.cccs.MultiMediaConfPolicy</code> value
     * @exception InvalidUnionAccessorException if an error occurs 
    */
    public org.csapi.jr.se.cc.cccs.MultiMediaConfPolicy getMultiMedia() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (!(_discriminator.equals((ConfPolicyType) ConfPolicyType.CONFERENCE_POLICY_MULTIMEDIA))) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
            return  ((org.csapi.jr.se.cc.cccs.MultiMediaConfPolicy) _object);
        }


    /**
    * Describe <code>setMultiMedia</code> method here.
     * 
     * @param value a <code>org.csapi.jr.se.cc.cccs.MultiMediaConfPolicy</code> value
     */
    public void  setMultiMedia(org.csapi.jr.se.cc.cccs.MultiMediaConfPolicy value){
        _discriminator = (ConfPolicyType) ConfPolicyType.CONFERENCE_POLICY_MULTIMEDIA;

        _object = value;
    }

    /**
     *  Describe <code>setUndefined</code> method here.
     * 
     *   @param value a <code>ConfPolicyType</code> value 
     */ 
    public void setUndefined(ConfPolicyType discriminator) {
        _discriminator = discriminator;
        _object = null;
    }
        

    public boolean equals(Object o) {
        if (o == null) return false;
        if(!(o instanceof ConfPolicy)) {
                return false;
        } else {
            ConfPolicy confPolicy= (ConfPolicy)o;
                if(!(this._object.equals(confPolicy._object))){
                        return false;
                } else {
                    if(!(this._discriminator.equals(confPolicy._discriminator))){
                                return false;
                                }
                }
    
    
    
        if (this.hashCode() != o.hashCode()) {
    return false;
        }
                return true;
    }
        }

    
    public int hashCode() {
        return 1;
    }

} // ConfPolicy

