//Source file: ConfSearchCriteria.java
//Date: July 2003
//Conference Call Control Interfaces and Data Types for ETSI ES 202 915-04-2 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-04-2 v5.1.0


package org.csapi.jr.se.cc.cccs;

/**
 * Defines the Sequence of Data Elements that specify the criteria for doing a search for available conference resources.
 *
 */
public final class ConfSearchCriteria implements java.io.Serializable {

    private String startSearch;
    private String stopSearch;
    private int requestedResources;
    private int requestedDuration;

    /**
     * Creates a new ConfSearchCriteria instance.
     *
     */
    public ConfSearchCriteria (String _startSearch,
        String _stopSearch,
        int _requestedResources,
        int _requestedDuration) {

        startSearch = _startSearch;
        stopSearch = _stopSearch;
        requestedResources = _requestedResources;
        requestedDuration = _requestedDuration;
    }

    /**
     * This method returns a startSearch.
     * 
     *@return a String value
     */
    public String getStartSearch() {
        return startSearch;

    }

    /**
     * This method returns a stopSearch.
     * 
     *@return a String value
     */
    public String getStopSearch() {
        return stopSearch;

    }

    /**
     * This method returns a requestedResources.
     * 
     *@return a int value
     */
    public int getRequestedResources() {
        return requestedResources;

    }

    /**
     * This method returns a requestedDuration.
     * 
     *@return a int value
     */
    public int getRequestedDuration() {
        return requestedDuration;

    }


     /**
     * This method sets a startSearch.
     */ 
    public void setStartSearch(String startSearch){
        this.startSearch = startSearch;
    }

    /**
     * This method sets a stopSearch.
     */ 
    public void setStopSearch(String stopSearch){
        this.stopSearch = stopSearch;
    }

    /**
     * This method sets a requestedResources.
     */ 
    public void setRequestedResources(int requestedResources){
        this.requestedResources = requestedResources;
    }

    /**
     * This method sets a requestedDuration.
     */ 
    public void setRequestedDuration(int requestedDuration){
        this.requestedDuration = requestedDuration;
    }


    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ConfSearchCriteria)) {
            return false;
        } 
        
        ConfSearchCriteria confSearchCriteria= (ConfSearchCriteria)o;
        if(!(this.startSearch == confSearchCriteria.startSearch))  {
            return false;
        }
        if(!(this.stopSearch == confSearchCriteria.stopSearch))  {
            return false;
        }
        if(!(this.requestedResources == confSearchCriteria.requestedResources)) {
            return false;
        }
        if(!(this.requestedDuration == confSearchCriteria.requestedDuration))  {
            return false;
        }
    
    
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
    
        return true;
    }

    public int hashCode() {
        return 1;
    }

} // ConfSearchCriteria

