//Source file: ConfSearchResult.java
//Date: July 2003
//Conference Call Control Interfaces and Data Types for ETSI ES 202 915-04-2 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-04-2 v5.1.0

package org.csapi.jr.se.cc.cccs;

/**
 * Defines the Sequence of Data Elements that specifies the result of a search for available conference resources.
 *
 */
public final class ConfSearchResult implements java.io.Serializable {

    private boolean matchFound;
    private String actualStartTime;
    private int actualResources;
    private int actualDuration;

    /**
     * Creates a new ConfSearchResult instance.
     *
     */
    public ConfSearchResult (boolean _matchFound,
        String _actualStartTime,
        int _actualResources,
        int _actualDuration) {

        matchFound = _matchFound;
        actualStartTime = _actualStartTime;
        actualResources = _actualResources;
        actualDuration = _actualDuration;
    }

    /**
     * This method returns a matchFound.
     * 
     *@return a boolean value
     */
    public boolean getMatchFound() {
        return matchFound;

    }

    /**
     * This method returns a actualStartTime.
     * 
     *@return a String value
     */
    public String getActualStartTime() {
        return actualStartTime;

    }

    /**
     * This method returns a actualResources.
     * 
     *@return a int value
     */
    public int getActualResources() {
        return actualResources;

    }

    /**
     * This method returns a actualDuration.
     * 
     *@return a int value
     */
    public int getActualDuration() {
        return actualDuration;

    }


     /**
     * This method sets a matchFound.
     */ 
    public void setMatchFound(boolean matchFound){
        this.matchFound = matchFound;
    }

    /**
     * This method sets a actualStartTime.
     */ 
    public void setActualStartTime(String actualStartTime){
        this.actualStartTime = actualStartTime;
    }

    /**
     * This method sets a actualResources.
     */ 
    public void setActualResources(int actualResources){
        this.actualResources = actualResources;
    }

    /**
     * This method sets a actualDuration.
     */ 
    public void setActualDuration(int actualDuration){
        this.actualDuration = actualDuration;
    }


    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ConfSearchResult)) {
            return false;
        } 
        
        ConfSearchResult confSearchResult= (ConfSearchResult)o;
        if(!(this.matchFound == confSearchResult.matchFound)) {
            return false;
        }
        if(!(this.actualStartTime == confSearchResult.actualStartTime))  {
            return false;
        }
        if(!(this.actualResources == confSearchResult.actualResources)) {
            return false;
        }
        if(!(this.actualDuration == confSearchResult.actualDuration))  {
            return false;
        }
    
    
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
    
        return true;
    }

    public int hashCode() {
        return 1;
    }

} // ConfSearchResult

