//Source file: ConferenceCreatedEvent.java
//Date: July 2003
//Conference Call Control Interfaces and Data Types for ETSI ES 202 915-04-2 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-04-2 v5.1.0


package org.csapi.jr.se.cc.cccs;

/**
 * Event created by a pcp implementation or activity object to indicate that a
 * Gateway originated call to the conferenceCreated() method on the
 * callback interface has occured.<BR>
 *
 */
public final class ConferenceCreatedEvent extends java.util.EventObject {

    /**
     * Constructor for the ConferenceCreatedEvent Event.
     *
     *@param  source      Reference to the object firing the event.<BR>     */
    public ConferenceCreatedEvent(java.lang.Object source,
        org.csapi.jr.se.cc.cccs.ConfCall interfaceRef) {

        super(source);
        this.confCall = interfaceRef;
 
  }

    org.csapi.jr.se.cc.cccs.ConfCall confCall = null;

    /**
     *  This method is used to retrieve the ConfCall, associated with this event.
     *
     *@return    The ConfCall associated with this event.<BR>
     *
     */
    public org.csapi.jr.se.cc.cccs.ConfCall getConfCall() {

        return this.confCall;
    }


}

