//Source file: JoinEventInfo.java
//Date: July 2003
//Conference Call Control Interfaces and Data Types for ETSI ES 202 915-04-2 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-04-2 v5.1.0

package org.csapi.jr.se.cc.cccs;

/**
 * Defines the Sequence of Data Elements that specify the information returned to the application in a Join event notification.
 *
 */
public final class JoinEventInfo implements java.io.Serializable {

    private org.csapi.jr.se.Address destinationAddress;
    private org.csapi.jr.se.Address originatingAddress;
    private org.csapi.jr.se.Address originalDestinationAddress;
    private org.csapi.jr.se.Address redirectingAddress;
    private org.csapi.jr.se.cc.CallAppInfo[] callAppInfo;

    /**
     * Creates a new <code>JoinEventInfo</code> instance.
     *
     */
    public JoinEventInfo (org.csapi.jr.se.Address _destinationAddress,
        org.csapi.jr.se.Address _originatingAddress,
        org.csapi.jr.se.Address _originalDestinationAddress,
        org.csapi.jr.se.Address _redirectingAddress,
        org.csapi.jr.se.cc.CallAppInfo[] _callAppInfo) {

        destinationAddress = _destinationAddress;
        originatingAddress = _originatingAddress;
        originalDestinationAddress = _originalDestinationAddress;
        redirectingAddress = _redirectingAddress;
        callAppInfo = _callAppInfo;
    }

    /**
     * This method returns a destinationAddress.
     * 
     *@return a <code>org.csapi.jr.se.Address</code> value
     */
    public org.csapi.jr.se.Address getDestinationAddress() {
        return destinationAddress;

    }

    /**
     * This method returns a originatingAddress.
     * 
     *@return a <code>org.csapi.jr.se.Address</code> value
     */
    public org.csapi.jr.se.Address getOriginatingAddress() {
        return originatingAddress;

    }

    /**
     * This method returns a originalDestinationAddress.
     * 
     *@return a <code>org.csapi.jr.se.Address</code> value
     */
    public org.csapi.jr.se.Address getOriginalDestinationAddress() {
        return originalDestinationAddress;

    }

    /**
     * This method returns a redirectingAddress.
     * 
     *@return a <code>org.csapi.jr.se.Address</code> value
     */
    public org.csapi.jr.se.Address getRedirectingAddress() {
        return redirectingAddress;

    }

    /**
     * This method returns a callAppInfo.
     * 
     *@return a <code>org.csapi.jr.se.cc.CallAppInfo[]</code> value
     */
    public org.csapi.jr.se.cc.CallAppInfo[] getCallAppInfo() {
        return callAppInfo;

    }


     /**
     * This method sets a destinationAddress.
     */ 
    public void setDestinationAddress(org.csapi.jr.se.Address destinationAddress){
        this.destinationAddress = destinationAddress;
    }

    /**
     * This method sets a originatingAddress.
     */ 
    public void setOriginatingAddress(org.csapi.jr.se.Address originatingAddress){
        this.originatingAddress = originatingAddress;
    }

    /**
     * This method sets a originalDestinationAddress.
     */ 
    public void setOriginalDestinationAddress(org.csapi.jr.se.Address originalDestinationAddress){
        this.originalDestinationAddress = originalDestinationAddress;
    }

    /**
     * This method sets a redirectingAddress.
     */ 
    public void setRedirectingAddress(org.csapi.jr.se.Address redirectingAddress){
        this.redirectingAddress = redirectingAddress;
    }

    /**
     * This method sets a callAppInfo.
     */ 
    public void setCallAppInfo(org.csapi.jr.se.cc.CallAppInfo[] callAppInfo){
        this.callAppInfo = callAppInfo;
    }


    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof JoinEventInfo)) {
            return false;
        } 
        
        JoinEventInfo joinEventInfo= (JoinEventInfo)o;
        if ((this.destinationAddress !=null) & (joinEventInfo.destinationAddress != null)) {
            if(!(this.destinationAddress.equals(joinEventInfo.destinationAddress))) {
                return false;
            }
        }
        if ((this.originatingAddress !=null) & (joinEventInfo.originatingAddress != null)) {
            if(!(this.originatingAddress.equals(joinEventInfo.originatingAddress))) {
                return false;
            }
        }
        if ((this.originalDestinationAddress !=null) & (joinEventInfo.originalDestinationAddress != null)) {
            if(!(this.originalDestinationAddress.equals(joinEventInfo.originalDestinationAddress))) {
                return false;
            }
        }
        if ((this.redirectingAddress !=null) & (joinEventInfo.redirectingAddress != null)) {
            if(!(this.redirectingAddress.equals(joinEventInfo.redirectingAddress))) {
                return false;
            }
        }
        if(!(this.callAppInfo == joinEventInfo.callAppInfo))  {
            return false;
        }
    
    
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
    
        return true;
    }

    public int hashCode() {
        return 1;
    }

} // JoinEventInfo

