//Source file: MonoMediaConfPolicy.java
//Date: July 2003
//Conference Call Control Interfaces and Data Types for ETSI ES 202 915-04-2 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-04-2 v5.1.0

package org.csapi.jr.se.cc.cccs;

/**
 * Defines the type of conference policy as a sequence of Policy Items and their values.<br>
 * For mono media there are only two types of conference policies; specified, that is, the application provides the policy, or undefined, that is, the parlay GW may choose a default conference policy. 
 * 
 */
public final class MonoMediaConfPolicy implements java.io.Serializable {

    private boolean joinAllowed;

    /**
     * Creates a new <code>MonoMediaConfPolicy</code> instance.
     *
     */
    public MonoMediaConfPolicy (boolean _joinAllowed) {

        joinAllowed = _joinAllowed;
    }

    /**
     * This method returns a joinAllowed.
     * 
     *@return a <code>boolean</code> value
     */
    public boolean getJoinAllowed() {
        return joinAllowed;

    }


     /**
     * This method sets a joinAllowed.
     */ 
    public void setJoinAllowed(boolean joinAllowed){
        this.joinAllowed = joinAllowed;
    }


    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof MonoMediaConfPolicy)) {
            return false;
        } 
        
        MonoMediaConfPolicy monoMediaConfPolicy= (MonoMediaConfPolicy)o;
        if(!(this.joinAllowed == monoMediaConfPolicy.joinAllowed)) {
            return false;
        }
    
    
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
    
        return true;
    }

    public int hashCode() {
        return 1;
    }

} // MonoMediaConfPolicy

