//Source file: MultiMediaConfPolicy.java
//Date: July 2003
//Conference Call Control Interfaces and Data Types for ETSI ES 202 915-04-2 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-04-2 v5.1.0

package org.csapi.jr.se.cc.cccs;

/**
 * Sequence of items for multi-media conferences.
 *
 */
public final class MultiMediaConfPolicy implements java.io.Serializable {

    private boolean joinAllowed;
    private int mediaAllowed;
    private boolean chaired;
    private org.csapi.jr.se.cc.cccs.VideoHandlingType videoHandling;

    /**
     * Creates a new <code>MultiMediaConfPolicy</code> instance.
     *
     */
    public MultiMediaConfPolicy (boolean _joinAllowed,
        int _mediaAllowed,
        boolean _chaired,
        org.csapi.jr.se.cc.cccs.VideoHandlingType _videoHandling) {

        joinAllowed = _joinAllowed;
        mediaAllowed = _mediaAllowed;
        chaired = _chaired;
        videoHandling = _videoHandling;
    }

    /**
     * This method returns a joinAllowed.
     * 
     *@return a <code>boolean</code> value
     */
    public boolean getJoinAllowed() {
        return joinAllowed;

    }

    /**
     * This method returns a mediaAllowed.
     * 
     *@return a <code>int</code> value
     */
    public int getMediaAllowed() {
        return mediaAllowed;

    }

    /**
     * This method returns a chaired.
     * 
     *@return a <code>boolean</code> value
     */
    public boolean getChaired() {
        return chaired;

    }

    /**
     * This method returns a videoHandling.
     * 
     *@return a <code>org.csapi.jr.se.cc.cccs.VideoHandlingType</code> value
     */
    public org.csapi.jr.se.cc.cccs.VideoHandlingType getVideoHandling() {
        return videoHandling;

    }


     /**
     * This method sets a joinAllowed.
     */ 
    public void setJoinAllowed(boolean joinAllowed){
        this.joinAllowed = joinAllowed;
    }

    /**
     * This method sets a mediaAllowed.
     */ 
    public void setMediaAllowed(int mediaAllowed){
        this.mediaAllowed = mediaAllowed;
    }

    /**
     * This method sets a chaired.
     */ 
    public void setChaired(boolean chaired){
        this.chaired = chaired;
    }

    /**
     * This method sets a videoHandling.
     */ 
    public void setVideoHandling(org.csapi.jr.se.cc.cccs.VideoHandlingType videoHandling){
        this.videoHandling = videoHandling;
    }


    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof MultiMediaConfPolicy)) {
            return false;
        } 
        
        MultiMediaConfPolicy multiMediaConfPolicy= (MultiMediaConfPolicy)o;
        if(!(this.joinAllowed == multiMediaConfPolicy.joinAllowed)) {
            return false;
        }
        if(!(this.mediaAllowed == multiMediaConfPolicy.mediaAllowed))  {
            return false;
        }
        if(!(this.chaired == multiMediaConfPolicy.chaired)) {
            return false;
        }
        if ((this.videoHandling !=null) & (multiMediaConfPolicy.videoHandling != null)) {
            if(!(this.videoHandling.equals(multiMediaConfPolicy.videoHandling))) {
                return false;
            }
        }
    
    
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
    
        return true;
    }

    public int hashCode() {
        return 1;
    }

} // MultiMediaConfPolicy

