//Source file: PartyJoinedEvent.java
//Date: July 2003
//Conference Call Control Interfaces and Data Types for ETSI ES 202 915-04-2 v.1.1.1, Parlay 4.0, 3GPP TS 29.198-04-2 v5.1.0


package org.csapi.jr.se.cc.cccs;

/**
 * Event created by a pcp implementation or activity object to indicate that a
 * Gateway originated call to the partyJoined() method on the
 * callback interface has occured.<BR>
 *
 */
public final class PartyJoinedEvent extends java.util.EventObject {

    /**
     * Constructor for the PartyJoinedEvent Event.
     *
     *@param  source      Reference to the object firing the event.<BR>     */
    public PartyJoinedEvent(java.lang.Object source,
        org.csapi.jr.se.cc.mpccs.CallLeg interfaceRef,
        org.csapi.jr.se.cc.cccs.JoinEventInfo eventInfo) {

        super(source);
        this.callLeg = interfaceRef;
      this.eventInfo = eventInfo;
 
  }

    org.csapi.jr.se.cc.mpccs.CallLeg callLeg;

    /**
     *  This method is used to retrieve the parameter value of 'callLeg' passed up
     *  from the Gateway in it's call to the partyJoined() method, used on
     *  the creation of this event.
     *
     *@return    The value of 'callLeg' used on creation of this event.     */
    public org.csapi.jr.se.cc.mpccs.CallLeg getCallLeg() {

        return this.callLeg;
    }

  
       
    org.csapi.jr.se.cc.cccs.JoinEventInfo eventInfo;

    /**
     *  This method is used to retrieve the parameter value of 'eventInfo' passed up
     *  from the Gateway in it's call to the partyJoined() method, used on
     *  the creation of this event.
     *
     *@return    The value of 'eventInfo' used on creation of this event.     */
    public org.csapi.jr.se.cc.cccs.JoinEventInfo getEventInfo() {

        return this.eventInfo;
    }

  
       
}

